#include "precompiled.h"

inline int IsCharSpecial(char j, bool bRight)
{
	return (j == ' ' || j == '"' || j == '\t' || j == '\r' || j == '\n' || (bRight && j == ';'));
}

void TrimSpace(char *pneedle)
{
	char *phaystack = pneedle;
	char *pbuf = pneedle;

	while (IsCharSpecial(*pbuf, false))
		++pbuf;

	while (*pbuf)
		*phaystack++ = *pbuf++;

	*phaystack = '\0';

	while (phaystack > pneedle && *--phaystack && IsCharSpecial(*phaystack, true))
		*phaystack = '\0';
}

bool ParseConfig(char *filepath)
{
	bool bFound = false;

	FILE *fp = fopen(filepath, "rt");

	if (!fp)
	{
		return 0;
	}

	char *b;
	char buf[128];

	while (!feof(fp) && fgets(buf, sizeof(buf)-1, fp))
	{
		b = &buf[0];

		if (*b == '\0' || *b == ';' || *b == '\\' || *b == '/' || *b == '#')
		{
			continue;
		}

		TrimSpace(b);

		cvar_t *pCvar = CVAR_GET_POINTER(buf);

		if (pCvar != NULL)
			pCvar->flags &= ~FCVAR_SERVER;
	}

	fclose(fp);
	return true;
}